Page MenuHomePhabricator

Wikimedia deployment needs /w/resources directory symlinked or overridden for debug mode
Closed, ResolvedPublic

Description

When using ResourceLoader's debug mode, .js files are fetched directly from their home location in the resources directory.

On Wikimedia deployments this would be in /w/resources; like the old extensions dir this'll need to be either symlinked in so the files can be exposed, or else overridden with a reference to bits.wikimedia.org.

[Note that at the moment debug mode is additionally broken on test2.wikipedia.org due to bug 27321 / bug 27322. With the fix, it'll try actually loading the /w/resources files and will then fail due to them being missing.]


Version: unspecified
Severity: enhancement

Details

Reference
bz27352

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:13 PM
bzimport set Reference to bz27352.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Feb 12 2011, 1:51 AM
TheDJ added a comment.Feb 19 2011, 6:55 PM

This seems fixed now, can the ticket be closed ?

I noticed this too while debugging on test2, told Roan about it on IRC and it was fixed earlier this week.

Hadn't noticed this bug, but yeah, it's fixed.
It was a new directory in 1.17 so it wasn't linked yet.